Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156472 - canvas is missing get_center_scroll_region and set_center_scroll_region methods
Summary: canvas is missing get_center_scroll_region and set_center_scroll_region methods
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-python2
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-30 22:58 UTC by Fergal Daly
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: gnome-python2-2.16.2-1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 12:08:19 UTC


Attachments (Terms of Use)
add missing methods (deleted)
2005-04-30 22:58 UTC, Fergal Daly
no flags Details

Description Fergal Daly 2005-04-30 22:58:31 UTC
http://developer.gnome.org/doc/API/2.0/libgnomecanvas/GnomeCanvas.html documents
the methods "gnome_canvas_get_center_scroll_region" and
"gnome_canvas_set_center_scroll_region" but they are not available in python.
Attached is a patch to make them available as methods on a canvas object. Just
add this as Patch3 in the spec and it should work.

I'm CCing a copy to the gnome-python people too.

Comment 1 Fergal Daly 2005-04-30 22:58:31 UTC
Created attachment 113896 [details]
add missing methods

Comment 2 Matthew Miller 2006-07-10 22:42:24 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Matthew Barnes 2007-01-02 12:08:19 UTC
These methods are now provided by the gnome-python2 package in Fedora Core 6.

   >>> import gnomecanvas
   >>> gnomecanvas.Canvas.get_center_scroll_region
   <method 'get_center_scroll_region' of 'gnome.canvas.Canvas' objects>
   >>> gnomecanvas.Canvas.set_center_scroll_region
   <method 'set_center_scroll_region' of 'gnome.canvas.Canvas' objects>


Note You need to log in before you can comment on or make changes to this bug.